{
  "name": "每個物品小部件",
  "icon": "pneumaticcraft:textures/progwidgets/for_each_item.png",
  "category": "pneumaticcraft:widget_flow",
  "advancement": "pneumaticcraft:programmer",
  "pages": [
    {
      "type": "text",
      "text": "這個高階小部件將針對每個連線的 $(l:programming/item_filter)物品過濾器/$ 執行一個子程式。對於每個過濾器，它會將指定的變數設定為該過濾器，並跳轉到與連線的 $(l:programming/text)文字/$ 小部件匹配的 $(l:programming/label)標籤/$。當該例程執行完畢（當它到達通常會跳回 $(l:programming/start)開始/$ 的程式末尾）時，它會返回到這個小部件並對下一個 $(thing)物品過濾器/$ 重複此過程。"
    },
    {
      "type": "text",
      "title": "中斷",
      "text": "您可以透過將 $(thing)每個物品/$ 使用的物品變數設定為空過濾器（使用 $(l:programming/item_assign)物品配置/$ 小部件來完成此操作）來跳出迴圈。下次，當程式跳回 $(thing)每個物品/$ 時，它會注意到這一點並取消對過濾器的進一步遍歷。"
    },
    {
      "type": "image",
      "images": [
        "pneumaticcraft:textures/progwidgets/for_each_item.png"
      ],
      "text": "$(italic)每個物品小部件/$"
    }
  ]
}